Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 747739 - dev-util/buildbot-wsgi-dashboards-2.8.4 uses a probably incorrect DISTUTILS_USE_SETUPTOOLS value
Summary: dev-util/buildbot-wsgi-dashboards-2.8.4 uses a probably incorrect DISTUTILS_U...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Brian Dolbec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-10 22:08 UTC by Agostino Sarubbo
Modified: 2021-01-17 18:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-10-10 22:08:48 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-util/buildbot-wsgi-dashboards-2.8.4 uses a probably incorrect DISTUTILS_USE_SETUPTOOLS value.
Discovered on: amd64 (internal ref: ci)

NOTE: If you want to change the summary, to avoid auto-filed duplicates, please at least keep the word 'DISTUTILS_USE_SETUPTOOLS'
Comment 1 Agostino Sarubbo gentoo-dev 2020-10-10 22:08:50 UTC
Possible context of error(s):

 * DISTUTILS_USE_SETUPTOOLS value is probably incorrect
 *   have:     DISTUTILS_USE_SETUPTOOLS=rdepend
 *   expected: DISTUTILS_USE_SETUPTOOLS=bdepend
Comment 2 Larry the Git Cow gentoo-dev 2021-01-17 18:51:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c906d9a9797f14ab2cc0611cb6b149026046932d

commit c906d9a9797f14ab2cc0611cb6b149026046932d
Author:     Brian Dolbec <dolsen@gentoo.org>
AuthorDate: 2021-01-17 17:40:32 +0000
Commit:     Brian Dolbec <dolsen@gentoo.org>
CommitDate: 2021-01-17 18:45:30 +0000

    dev-util/buildbot-wsgi-dashboards: Version bump to 2.10.0 fix setuptools ?depend
    
    Closes: https://bugs.gentoo.org/747739
    Package-Manager: Portage-3.0.10, Repoman-3.0.2
    Signed-off-by: Brian Dolbec <dolsen@gentoo.org>

 dev-util/buildbot-wsgi-dashboards/Manifest         |  1 +
 .../buildbot-wsgi-dashboards-2.10.0.ebuild         | 32 ++++++++++++++++++++++
 .../buildbot-wsgi-dashboards-2.8.2.ebuild          |  4 +--
 .../buildbot-wsgi-dashboards-2.8.4.ebuild          |  4 +--
 4 files changed, 37 insertions(+), 4 deletions(-)